Bug 1867103 - [sig-storage] CSI mock volume storage capacity unlimited
Summary: [sig-storage] CSI mock volume storage capacity unlimited
Keywords:
Status: VERIFIED
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: Storage
Version: 4.6
Hardware: Unspecified
OS: Unspecified
unspecified
medium
Target Milestone: ---
: 4.6.0
Assignee: Fabio Bertinatto
QA Contact: Qin Ping
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2020-08-07 11:20 UTC by Harshal Patil
Modified: 2020-09-16 08:48 UTC (History)
2 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
[sig-storage] CSI mock volume storage capacity unlimited
Last Closed:
Target Upstream Version:


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Github openshift kubernetes pull 333 None closed Bug 1867103: UPSTREAM: 93777: e2e storage: avoid flaky test failure when watch dies 2020-09-16 08:39:56 UTC

Comment 1 Fabio Bertinatto 2020-08-10 14:32:44 UTC
This seems to be caused by bug 1865857.

* The failure doesn't always happen in the same place in the code.
* The GRPC error message says "transport is closing", which is often caused by the server closing the connection.
* Looking at apiserver logs I see this (around same time when the failure happened):

> W0810 12:23:26.985570      19 dispatcher.go:142] rejected by webhook "validating-is-webhook-configuration-ready.k8s.io": &errors.StatusError{ErrStatus:v1.Status{TypeMeta:v1.TypeMeta{Kind:"", APIVersion:""}, ListMeta:v1.ListMeta{SelfLink:"", ResourceVersion:"", Continue:"", RemainingItemCount:(*int64)(nil)}, Status:"Failure", Message:"admission webhook \"validating-is-webhook-configuration-ready.k8s.io\" denied the request: this webhook denies all requests", Reason:"", Details:(*v1.StatusDetails)(nil), Code:400}}
> I0810 12:23:31.004209      19 controlbuf.go:508] transport: loopyWriter.run returning. connection error: desc = "transport is closing"
> E0810 12:23:31.004403      19 status.go:71] apiserver received an error that is not an metav1.Status: &status.statusError{state:impl.MessageState{NoUnkeyedLiterals:pragma.NoUnkeyedLiterals{}, DoNotCompare:pragma.DoNotCompare{}, DoNotCopy:pragma.DoNotCopy{}, atomicMessageInfo:(*impl.MessageInfo)(nil)}, sizeCache:0, unknownFields:[]uint8(nil), Code:14, Message:"transport is closing", Details:[]*anypb.Any(nil)}
> I0810 12:23:31.004617      19 trace.go:205] Trace[1394334857]: "Get" url:/apis/storage.k8s.io/v1/csidrivers/csi-mock-e2e-csi-mock-volumes-46,user-agent:openshift-tests/v0.0.0 (linux/amd64) kubernetes/$Format -- [sig-storage] CSI mock volume storage capacity unlimited [Suite:openshift/conformance/parallel] [Suite:k8s],client:10.0.46.7 (10-Aug-2020 12:23:00.788) (total time: 7216ms):
> Trace[1394334857]: [7.216287437s] [7.216287437s] END
> I0810 12:23:35.066964      19 controlbuf.go:508] transport: loopyWriter.run returning. connection error: desc = "transport is closing"
> W0810 12:23:43.500846      19 dispatcher.go:142] rejected by webhook "deny-attaching-pod.k8s.io": &errors.StatusError{ErrStatus:v1.Status{TypeMeta:v1.TypeMeta{Kind:"", APIVersion:""}, ListMeta:v1.ListMeta{SelfLink:"", ResourceVersion:"", Continue:"", RemainingItemCount:(*int64)(nil)}, Status:"Failure", Message:"admission webhook \"deny-attaching-pod.k8s.io\" denied the request: attaching to pod 'to-be-attached-pod' is not allowed", Reason:"", Details:(*v1.StatusDetails)(nil), Code:400}}

Comment 4 Qin Ping 2020-09-16 08:48:02 UTC
Checked last 7 days ci jobs, no test failed for the same reason.


Note You need to log in before you can comment on or make changes to this bug.